%global pkg_name wtforms-sqlalchemy
%global module_name wtforms_sqlalchemy
%global pypi_name WTForms_SQLAlchemy

Name:           python-%{pkg_name}
Version:        0.3.0
Release:        1%{?dist}
Summary:        WTForms integration for SQLAlchemy

License:        BSD
URL:            https://github.com/wtforms/%{pkg_name}
Source0:        %{url}/archive/%{version}/%{pkg_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  %{py3_dist sqlalchemy} >= 0.7.10
BuildRequires:  %{py3_dist wtforms} >= 1.0.5

%global _description %{expand:
WTForms-SQLAlchemy is a fork of the wtforms.ext.sqlalchemy package
from WTForms. The package has been renamed to wtforms_sqlalchemy but
otherwise should function the same as wtforms.ext.sqlalchemy did.}

%description %_description

%package -n python3-%{pkg_name}
Summary:        %{summary}
Requires:       %{py3_dist sqlalchemy} >= 0.7.10
Requires:       %{py3_dist wtforms} >= 1.0.5
%py_provides python3-%{module_name}

%description -n python3-%{pkg_name} %_description


%prep
%autosetup -p1 -n %{pkg_name}-%{version}


%build
%py3_build


%install
%py3_install


%check
sed -i '/tests_require = coverage/d' setup.cfg
%pytest tests/tests.py


%files -n python3-%{pkg_name}
%doc README.rst
%doc CHANGES.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{module_name}/


%changelog
* Mon Oct 17 2022 Matěj Grabovský <mgrabovs@redhat.com> - 0.7.0-1
- Initial package
